%define _requires_exceptions libR.so\\|libRblas.so\\|libRlapack.so

Summary:	A KDE gui to R language
Name:		rkward
Version:	0.5.0b
Release:	%mkrel 7
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		http://rkward.sourceforge.net
Source0:	http://downloads.sourceforge.net/rkward/%{name}-%{version}.tar.bz2
Patch0:		rkward-0.5.0b-underlinking.patch
Patch1:		rkward-0.5.0b-no-Rdevices-header.patch
Buildrequires:	R-base >= 2.6.0
BuildRequires:	kdelibs4-devel  >= 4.0.0
BuildRequires:	gcc-gfortran
BuildRequires:	desktop-file-utils
BuildRequires:	cmake
Requires:	R-base >= 2.6.0
Requires:	php-cli
Obsoletes:	kde4-%{name} <= 0.5.0b
Provides:	kde4-%{name} = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
RKWard is meant to become an easy to use, transparent frontend to the 
R-language, a very powerful, yet hard-to-get-into scripting-language with 
a strong focus on statistic functions. It will not only provide a convenient 
user-interface, however, but also take care of seamless integration with an 
office-suite. Practical statistics is not just about calculating, after all, 
but also about documenting and ultimately publishing the results.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake_kde4

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

pushd build
%makeinstall_std
popd

#(tpg) provide by R-base
rm -rf %{buildroot}%{_libdir}/R/lib/R.css

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_kde_bindir}/%{name}*
%{_kde_datadir}/applications/kde4/rkward.desktop
%{_kde_appsdir}/rkward
%{_kde_appsdir}/katepart/*
%{_kde_docdir}/*/*/*
%{_kde_iconsdir}/*
%{_libdir}/R/*


%changelog
* Wed Mar 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0b-7mdv2009.1
+ Revision: 357542
- Patch1: fix compiling against latest R-base

* Wed Sep 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0b-6mdv2009.0
+ Revision: 279984
- rebuild

* Mon Aug 11 2008 Helio Chissini de Castro <helio@mandriva.com> 0.5.0b-5mdv2009.0
+ Revision: 270761
- Fix underlinking issues against kde4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for new R-base
    - spec file clean
    - do not run scriplets for mdv 200900 and newer

* Mon Apr 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0b-2mdv2009.0
+ Revision: 198461
- fix file list
- kill kde4

* Mon Apr 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0b-2
+ Revision: 198104
- rebuild for new R

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix spec file to fit with kde4 policy
    - Use kde4 apps by default

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0b-1mdv2009.0
+ Revision: 196371
- new version

* Mon Feb 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0a-4mdv2008.1
+ Revision: 174986
- fix update-menus-without-menu-file-in-%%post
- fic file list
- add docs
- regenerate icon cache for hicolor theme
- remove conflicting file, which is already provided by R-base

* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 0.5.0a-3mdv2008.1
+ Revision: 161634
- drop requirment on libRlapack.so

* Thu Jan 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0a-2mdv2008.1
+ Revision: 160902
- blacklist requires on libRblas.so

* Thu Jan 24 2008 Helio Chissini de Castro <helio@mandriva.com> 0.5.0a-1mdv2008.1
+ Revision: 157641
- Help tpg with cmake goodness
- Transformed package to be a real Mandriva kde4 package ( languages still not using find_language script )

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add source and spec file
    - only what has left is to complete spec file and handle somehow cmake ;)
    - Created package structure for kde4-rkward.


* Wed Feb 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-2mdv2007.0
+ Revision: 123181
- add requires on php-cli
- remove requires on kdebase-konsole
- add some options for %%configure, especially --with-r-home
- hard spec file clean

* Thu Feb 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-1mdv2007.1
+ Revision: 121530
- new version
- fix menu entry and icons

* Mon Jan 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.5-1mdv2007.1
+ Revision: 111951
- Import rkward

